package com.redxun.knowledge.analysis.mapper;

import com.redxun.knowledge.analysis.entity.vo.AlbumCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.MapCompanyVo;
import com.redxun.knowledge.analysis.entity.vo.MapPagePvVo;
import com.redxun.knowledge.analysis.entity.vo.MapTypeCountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件名: AnalysisMapMapper
 * 作者: zizg
 * 时间: 2023/3/23
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface AnalysisMapMapper {
    /**
     * 各类型地图创建数量及所占百分比
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<MapTypeCountVo> typeMapPie(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 根据类型获取类型名称
     * @param type
     * @return
     */
    String selectTypeName(String type);

    /**
     * 地图页面访问量
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<MapPagePvVo> mapPageHistogram(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);

    /**
     * 获取组织下创建地图数量和访问数量
     * @param firstDay
     * @param lastDay
     * @return
     */
    List<MapCompanyVo> organizationMaps(@Param("firstDay") String firstDay, @Param("lastDay") String lastDay);
}
